### Method

# Shumate DataSourceRequest complete

since: 1.1

#### Declaration [src]

    void
    shumate_data_source_request_complete (
      ShumateDataSourceRequest* self
    )

#### Description [src]

Marks the request as complete. No more data or errors may be emitted.

This can only be called if data has been emitted. If there is no data, use `shumate_data_source_request_emit_error()` instead, which will automatically complete the request.

Available since: 1.1